;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
;                                    Title	Keyboard data mapping for translate to ASCII code
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

;----------------------------------------------------------------------------
; Version	: V1.0
; File name	: UpperASC.inc
; Date		: Feb  13 ,1997
; Language	:  6502 ASSEMBLY
; Description	: The keyboard data translate map for mapping to ASCII code by set 1 scan code with Upper case.
;----------------------------------------------------------------------------

;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	?Code_00:	db	$20h			; null key.
	?Code_01:	db	#027d			; ESC key.
	?Code_02:	db	$21h			; 1 -> !
	?Code_03:	db	$22h			; 2 -> @
	?Code_04:	db	$23h			; 3 -> #
	?Code_05:	db	$24h			; 4 -> $
	?Code_06:	db	$25h			; 5 -> %
	?Code_07:	db	$26h			; 6 -> ^
	?Code_08:	db	$27h			; 7 -> &
	?Code_09:	db	$28h			; 8 -> *
	?Code_0A:	db	$29h			; 9 -> (
	?Code_0B:	db	$20h			; 0 -> )
	?Code_0C:	db	$5Fh			; - -> _
	?Code_0D:	db	$2Bh			; = -> +
	?Code_0E:	db	#008d			; Backspace key.
	?Code_0F:	db	#009d			; Tab key.
	?Code_10:	db	$51h			; q -> Q
	?Code_11:	db	$57h			; w -> W
	?Code_12:	db	$45h			; e -> E
	?Code_13:	db	$52h			; r -> R
	?Code_14:	db	$54h			; t -> T
	?Code_15:	db	$59h			; y -> Y
	?Code_16:	db	$55h			; u -> U
	?Code_17:	db	$49h			; i -> I
	?Code_18:	db	$4Fh			; o -> O
	?Code_19:	db	$50h			; p -> P
	?Code_1A:	db	$7Bh			; [ -> {
	?Code_1B:	db	$7Dh			; ] -> }
	?Code_1C:	db	#013d			; CR key.
	?Code_1D:	db	-1d			; left Ctrl key.
	?Code_1E:	db	$41h			; a -> A
	?Code_1F:	db	$53h			; s -> S
	?Code_20:	db	$44h			; d -> D
	?Code_21:	db	$46h			; f -> F
	?Code_22:	db	$47h			; g -> G
	?Code_23:	db	$48h			; h -> H
	?Code_24:	db	$4Ah			; j -> J
	?Code_25:	db	$4Bh			; k -> K
	?Code_26:	db	$4Ch			; l -> L
	?Code_27:	db	$3Ch			; ; -> :
	?Code_28:	db	$22h			; ' -> "
	?Code_29:	db	$7Eh			; ` -> ~
	?Code_2A:	db	-1d			; left Shift key.
	?Code_2B:	db	$7Ch			; \ -> |
	?Code_2C:	db	$5Ah			; z -> Z
	?Code_2D:	db	$58h			; x -> X
	?Code_2E:	db	$43h			; c -> C
	?Code_2F:	db	$56h			; v -> V
	?Code_30:	db	$42h			; b -> B
	?Code_31:	db	$4Eh			; n -> N
	?Code_32:	db	$4Dh			; m -> M
	?Code_33:	db	$3Ch			; , -> <
	?Code_34:	db	$3Eh			; . -> >
	?Code_35:	db	$3Fh			; / -> ?
	?Code_36:	db	-1d			; right Shift key.
	?Code_37:	db	$2Ah			; * on keypad.
	?Code_38:	db	-1d			; left Alt key.
	?Code_39:	db	$20h			; Space Bar.
	?Code_3A:	db	-1d			; Caps Lock key.
	?Code_3B:	db	$20h			; F1.
	?Code_3C:	db	$20h			; F2.
	?Code_3D:	db	$20h			; F3.
	?Code_3E:	db	$20h			; F4.
	?Code_3F:	db	$20h			; F5.
	?Code_40:	db	$20h			; F6.
	?Code_41:	db	$20h			; F7.
	?Code_42:	db	$20h			; F8.
	?Code_43:	db	$20h			; F9.
	?Code_44:	db	$20h			; F10.
	?Code_45:	db	-1d			; Num Lock key.
	?Code_46:	db	-1d			; Scroll Lock key.
	?Code_47:	db	$20h			; Home key on keypad.
	?Code_48:	db	$20h			; Cursor Up on keypad.
	?Code_49:	db	$20h			; PgUp key on keypad.
	?Code_4A:	db	$20h			; Sys Request key on keypad.
	?Code_4B:	db	$20h			; Cursor Left on keypad.
	?Code_4C:	db	$20h			; 5 on keypad.
	?Code_4D:	db	$20h			; Cursor Right on keypad.
	?Code_4E:	db	$20h			; + key on keypad.
	?Code_4F:	db	$20h			; End key on keypad.
	?Code_50:	db	$20h			; Cursor Down on keypad.
	?Code_51:	db	$20h			; PgDn key on keypad.
	?Code_52:	db	$20h			; Ins key on keypad.
	?Code_53:	db	$20h			; Del key on keypad.
	?Code_54:	db	$20h			; non used scan code.
	?Code_55:	db	$20h			; non used scan code.
	?Code_56:	db	$5Ch			; \ for 102 keys only.
	?Code_57:	db	$20h			; F11.
	?Code_58:	db	$20h			; F12.
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>