music_lo        EQU     $FE
music_hi        EQU     $FF

snd_effect1     equ     $700 ; close = $ff
snd_effect2     equ     $701 ; close = $ff
snd_effect3     equ     $702 ; close = $ff
snd_effect4     equ     $703 ; close = $ff
;
effect_chnl     equ     $704 ; close = $00
temp_var1       equ     $705
music_chnl      equ     $706 ; close = $00
music_tempo     equ     $707
chnl1_add_lo    equ     $708
chnl2_add_lo    equ     $709
chnl3_add_lo    equ     $70a
chnl4_add_lo    equ     $70b
chnl1_add_hi    equ     $70c
chnl2_add_hi    equ     $70d
chnl3_add_hi    equ     $70e
chnl4_add_hi    equ     $70f
;===========
tempo_point     equ     $710
tempo_cnt       equ     $711
chnl_play_type  equ     $712 ;use bit 0..3
;
chnl1_tone      equ     $713
chnl2_tone      equ     $714
chnl3_tone      equ     $715
chnl4_volume    equ     $716
;
chnl1_pitch     equ     $717
chnl2_pitch     equ     $718
;
chnl1_attack    equ     $719
chnl2_attack    equ     $71a
chnl1_decay     equ     $71b
chnl2_decay     equ     $71c
chnl1_sustain   equ     $71d
chnl2_sustain   equ     $71e
chnl1_release   equ     $71f
chnl2_release   equ     $720
;
chnl1_adsr_no   equ     $721
chnl2_adsr_no   equ     $722
chnl1_adsr_vol  equ     $723
chnl2_adsr_vol  equ     $724
chnl1_adsr_cnt  equ     $725
chnl2_adsr_cnt  equ     $726
;
chnl1_length    equ     $727
chnl2_length    equ     $728
chnl3_length    equ     $729
chnl4_length    equ     $72a
chnl1_point     equ     $72b
chnl2_point     equ     $72c
chnl3_point     equ     $72d
chnl4_point     equ     $72e
;
chnl1_smp_no    equ     $72f
chnl2_smp_no    equ     $730
chnl3_smp_no    equ     $731
chnl4_smp_no    equ     $732
chnl1_smp_cnt   equ     $733
chnl2_smp_cnt   equ     $734
chnl3_smp_cnt   equ     $735
chnl4_smp_cnt   equ     $736
;===========
smusic_chnl     equ     $737 ; close = $00
smusic_tempo    equ     $738
schnl1_add_lo   equ     $739
schnl2_add_lo   equ     $73a
schnl3_add_lo   equ     $73b
schnl4_add_lo   equ     $73c
schnl1_add_hi   equ     $73d
schnl2_add_hi   equ     $73e
schnl3_add_hi   equ     $73f
schnl4_add_hi   equ     $740
;=====
stempo_point    equ     $741
stempo_cnt      equ     $742
schnl_play_type equ     $743 ;use bit 0..3
schnl1_tone     equ     $744
schnl2_tone     equ     $745
schnl3_tone     equ     $746
schnl4_volume   equ     $747
schnl1_pitch    equ     $748
schnl2_pitch    equ     $749
schnl1_attack   equ     $74a
schnl2_attack   equ     $74b
schnl1_decay    equ     $74c
schnl2_decay    equ     $74d
schnl1_sustain  equ     $74e
schnl2_sustain  equ     $74f
schnl1_release  equ     $750
schnl2_release  equ     $751
schnl1_adsr_no  equ     $752
schnl2_adsr_no  equ     $753
schnl1_adsr_vol equ     $754
schnl2_adsr_vol equ     $755
schnl1_adsr_cnt equ     $756
schnl2_adsr_cnt equ     $757
schnl1_length   equ     $758
schnl2_length   equ     $759
schnl3_length   equ     $75a
schnl4_length   equ     $75b
schnl1_point    equ     $75c
schnl2_point    equ     $75d
schnl3_point    equ     $75e
schnl4_point    equ     $75f
schnl1_smp_no   equ     $760
schnl2_smp_no   equ     $761
schnl3_smp_no   equ     $762
schnl4_smp_no   equ     $763
schnl1_smp_cnt  equ     $764
schnl2_smp_cnt  equ     $765
schnl3_smp_cnt  equ     $766
schnl4_smp_cnt  equ     $767
;========
smp_addr_lo     equ     $768
smp_addr_hi     equ     $769
ssmp_addr_lo    equ     $76a
ssmp_addr_hi    equ     $76b
;
music_no       EQU      $76c
MUSIC_NO       EQU      $76c
ins_flag       EQU      $76d
INS_FLAG       EQU      $76d
SECOND_MUSIC_SWITCH     EQU     $76d



.EXTERN MUSIC_TABLE
.EXTERN SAMPLE_TABLE
.EXTERN EFFECT_TABLE

.PUBLIC PLAY_MUSIC
.PUBLIC INIT_MUSIC
.PUBLIC PLAY_SOUND_EFFECT

.PUBLIC STOP_MUSIC
.PUBLIC STOP_MUSIC2

chk_chnl_data:
        db      1,2,4,8
in_mu3:
        ldx     #$00
        lda     #$00
in_mu4:
        sta     stempo_point,x
        inx
        cpx     #39
        bcc     in_mu4
;
        LDA     MUSIC_NO
        ASL     A
        TAX
        LDA     SAMPLE_TABLE,X
        sta     ssmp_addr_lo
        LDA     SAMPLE_TABLE+1,X
        sta     ssmp_addr_hi
;
        LDA     MUSIC_TABLE,X
        sta     music_lo
        LDA     MUSIC_TABLE+1,X
        sta     music_hi
;
        ldy     #$00
        sty     INS_FLAG
        lda     (music_lo),y
        sta     smusic_chnl
        iny
        ldx     #$00
in_mu5:
        lda     chk_chnl_data,x
        and     smusic_chnl
        beq     in_mu6
        lda     (music_lo),y
        sta     schnl1_add_lo,x
        iny
        lda     (music_lo),y
        sta     schnl1_add_hi,x
        iny
;
in_mu6:
        inx
        cpx     #$04
        bcc     in_mu5
;
        ldx     #$00
        jsr     sdo_type1
        inx
        jsr     sdo_type1
        inx
        jsr     sdo_type1
        inx
        jsr     sdo_type1
        rts

INIT_MUSIC:
        LDA     INS_FLAG
        bne     in_mu3
;
        ldx     #$00
        lda     #$00
        sta     smusic_chnl
        sta     effect_chnl
in_mu0:
        sta     tempo_point,x
        inx
        cpx     #39
        bcc     in_mu0
;
        LDA     MUSIC_NO
        ASL     A
        TAX
        LDA     SAMPLE_TABLE,X
        sta     smp_addr_lo
        LDA     SAMPLE_TABLE+1,X
        sta     smp_addr_hi
;
        LDA     MUSIC_TABLE,X
        sta     music_lo
        LDA     MUSIC_TABLE+1,X
        sta     music_hi
;
        ldy     #$00
        lda     (music_lo),y
        sta     music_chnl
        iny
        ldx     #$00
in_mu1:
        lda     chk_chnl_data,x
        and     music_chnl
        beq     in_mu2
        lda     (music_lo),y
        sta     chnl1_add_lo,x
        iny
        lda     (music_lo),y
        sta     chnl1_add_hi,x
        iny
;
in_mu2:
        inx
        cpx     #$04
        bcc     in_mu1
;
        lda     #$ff
        sta     snd_effect1
        sta     snd_effect2
        sta     snd_effect3
        sta     snd_effect4
;
        ldx     #$00
        jsr     do_type1
        inx
        jsr     do_type1
        inx
        jsr     do_type1
        inx
        jsr     do_type1
        rts


PLAY_2ND_MUSIC:
        lda     smusic_chnl
        beq     npmu2
;
        jsr     smodify_tone
        jsr     sset_music_data
;
        lda     smusic_tempo
        clc
        adc     stempo_point
        tax
;
        inc     stempo_cnt
        lda     stempo_cnt
        cmp     music_tempo_data,x
        bcc     npmu2
        lda     #$00
        sta     stempo_cnt
        inc     stempo_point
        lda     stempo_point
        and     #$03
        sta     stempo_point
        dec     schnl1_length
        dec     schnl2_length
        dec     schnl3_length
        dec     schnl4_length
npmu2:
        rts
;===================================
sset_music_data:
        ldx     stempo_cnt
        cpx     #$04
        bcs     snsmd
;
        lda     smusic_tempo
        clc
        adc     stempo_point
        tay
        lda     music_tempo_data,y
        cmp     #$02
        bcc     sdo_type4
        beq     sdo_type3
        cmp     #$03
        bne     sdo_type1
;=======
sdo_type2:
        jsr     sdo_type1
        cpx     #$02
        bne     snsmd
        inx
        jsr     sdo_type1
snsmd:
        rts
;=======
sdo_type3:
        jsr     sdo_type1
        inx
        inx
        jsr     sdo_type1
        rts
;=======
sdo_type4:
        jsr     sdo_type1
        inx
        jsr     sdo_type1
        inx
        jsr     sdo_type1
        inx
        jsr     sdo_type1
        rts
;====== per nmi do 1 chnl
sdo_type1:
        lda     schnl1_length,x
        bne     snsmd
        lda     chk_chnl_data,x
        and     smusic_chnl
        beq     snsmd
;
        lda     chk_chnl_data,x
        and     schnl_play_type
        beq     sd_tp
        jmp     sd_tp5
;
sd_tp:
        lda     schnl1_add_lo,x
        sta     music_lo
        lda     schnl1_add_hi,x
        sta     music_hi
        ldy     schnl1_point,x
sd_tp0:
        lda     (music_lo),y
        cmp     #$fc
        bcc     sd_tp1
        beq     sd_tp2
        cmp     #$fe
        bcc     sd_tp000
        bne     sd_tp0a
        jmp     sd_tp4
sd_tp000:
        jmp     sd_tp3
;==== $ff
sd_tp0a:
        cpx     #$02
        bcc     sd_tp01
        bne     sd_tp00
        iny
        lda     (music_lo),y
        sta     schnl3_tone
sd_tp00:
        iny
        tya
        sta     schnl1_point,x
        jmp     sd_tp0
;
sd_tp01:
        iny
        lda     (music_lo),y
        sta     schnl1_tone,x
        and     #$10
        beq     sd_tp02
        lda     schnl1_tone,x
        ora     #$0f
        sta     schnl1_tone,x
;
sd_tp02:
        iny
        lda     (music_lo),y
        sta     schnl1_pitch,x
;
        iny
        lda     (music_lo),y
        sta     schnl1_attack,x
;
        iny
        lda     (music_lo),y
        sta     schnl1_decay,x
;
        iny
        lda     (music_lo),y
        sta     schnl1_sustain,x
;
        iny
        lda     (music_lo),y
        sta     schnl1_release,x
        jmp     sd_tp00
;
;====== < $fc
sd_tp1:
        sta     schnl1_smp_no,x
        iny
        tya
        sta     schnl1_point,x
        lda     chk_chnl_data,x
        ora     schnl_play_type
        sta     schnl_play_type
        lda     #$00
        sta     schnl1_smp_cnt,x
        beq     sd_tp5
;====== $fc
sd_tp2:
        iny
        lda     (music_lo),y
        beq     sd_tp20
        lda     chk_chnl_data,x
        eor     #$ff
        and     smusic_chnl
        sta     smusic_chnl
        sta     $4015
        rts
;
sd_tp20:
        lda     #$00
        sta     schnl1_point,x
        tay
        jmp     sd_tp0
;====== $fd
sd_tp3:
        iny
        cpx     #$02
        bcc     sd_tp31
        beq     sd_tp30
        lda     (music_lo),y
        sta     schnl4_volume
sd_tp30:
        iny
        tya
        sta     schnl1_point,x
        jmp     sd_tp0
;
sd_tp31:
        lda     (music_lo),y
        sta     temp_var1
        lda     #$04
        sta     schnl1_adsr_no,x
        lda     schnl1_tone,x
        and     #$f0
        ora     temp_var1
        ora     #$10
        sta     schnl1_tone,x
        bne     sd_tp30
;====== $fe
sd_tp4:
        iny
        lda     (music_lo),y
        and     #$fc
        sta     smusic_tempo
        jmp     sd_tp30
;======
sd_tp5:
        cpx     #$02
        bcs     sd_tp5b
        lda     schnl1_tone,x
        and     #$10
        beq     sd_tp5a
;
        lda     #$04
        sta     schnl1_adsr_no,x
        bne     sd_tp5b
;
sd_tp5a:
        lda     #$00
        sta     schnl1_adsr_no,x
        jsr     sget_next_adsr
;
sd_tp5b:
        lda     ssmp_addr_lo
        sta     music_lo
        lda     ssmp_addr_hi
        sta     music_hi
        lda     schnl1_smp_no,x
        asl     a
        tay
        bcc     sd_tp5c
        inc     music_hi
sd_tp5c:
        lda     (music_lo),y
        pha
        iny
        lda     (music_lo),y
        sta     music_hi
        pla
        sta     music_lo
;
        ldy     schnl1_smp_cnt,x
        lda     (music_lo),y
        EOR     #00001110B
        sta     schnl1_length,x
        iny
        lda     (music_lo),y
        EOR     #10101010B
        sta     temp_var1
        iny
        tya
        sta     schnl1_smp_cnt,x
        lda     (music_lo),y
        bne     sd_tp50
        lda     chk_chnl_data,x
        eor     #$ff
        and     schnl_play_type
        sta     schnl_play_type
sd_tp50:
        lda     chk_chnl_data,x
        and     effect_chnl
        bne     sndtp
;
        lda     chk_chnl_data,x
        ora     $4015
        sta     $4015
;
        cpx     #$01
        bcc     sd_tp51
        beq     sd_tp52
        cpx     #$03
        bcs     sd_tp59
        jmp     sd_tp53
;
sd_tp59:
        ldy     temp_var1
        bne     sd_tp50a
        lda     #$10
        sta     $400c
        lda     $4015
        and     #$f7
        sta     $4015
sndtp:
        rts
;
sd_tp50a:
        lda     CHANNEL4_ENVELOPE_DAT,Y
        sta     $400c
        tya
        asl     a
        tay
        LDA     CHANNEL4_TONE_DAT,Y
        STA     $400E
        LDA     CHANNEL4_TONE_DAT+1,Y
        STA     $400F
        RTS
;======
sd_tp51:
        lda     temp_var1
        cmp     #13
        bcs     sd_tp51a
        asl     a
        asl     a
        tay
        lda     CHANNEL1_LOW3_DAT,y
        sta     $4000
        lda     CHANNEL1_LOW3_DAT+1,y
        sta     $4001
        lda     CHANNEL1_LOW3_DAT+2,y
        sta     $4002
        lda     CHANNEL1_LOW3_DAT+3,y
        sta     $4003
        rts
sd_tp51a:
        sbc     #13
        tay
        lda     schnl1_tone
        sta     $4000
        lda     schnl1_pitch
        sta     $4001
        lda     FREQUENCY_DATA_LOW,y
        sta     $4002
        lda     FREQUENCY_DATA_HIGH,y
        ora     #$08
        sta     $4003
        rts
;=======
sd_tp52:
        lda     temp_var1
        cmp     #13
        bcs     sd_tp52a
        asl     a
        asl     a
        tay
        lda     CHANNEL2_LOW3_DAT,y
        sta     $4004
        lda     CHANNEL2_LOW3_DAT+1,y
        sta     $4005
        lda     CHANNEL2_LOW3_DAT+2,y
        sta     $4006
        lda     CHANNEL2_LOW3_DAT+3,y
        sta     $4007
        rts
sd_tp52a:
        sbc     #13
        tay
        lda     schnl2_tone
        sta     $4004
        lda     schnl2_pitch
        sta     $4005
        lda     FREQUENCY_DATA_LOW,y
        sta     $4006
        lda     FREQUENCY_DATA_HIGH,y
        ora     #$08
        sta     $4007
        rts
;=======
sd_tp53:
        lda     temp_var1
        cmp     #13
        bcs     sd_tp53a
        asl     a
        asl     a
        tay
        lda     CHANNEL3_LOW3_DAT,y
        sta     $4008
        lda     CHANNEL3_LOW3_DAT+1,y
        sta     $4009
        lda     CHANNEL3_LOW3_DAT+2,y
        sta     $400a
        lda     CHANNEL3_LOW3_DAT+3,y
        sta     $400b
        rts
sd_tp53a:
        sbc     #13
        tay
        lda     schnl3_tone
        sta     $4008
        lda     FREQUENCY_DATA_LOW,y
        sta     $400a
        lda     FREQUENCY_DATA_HIGH,y
        ora     #$08
        sta     $400b
        rts
;===================================
set_music_data:
        ldx     tempo_cnt
        cpx     #$04
        bcs     nsmd
;
        lda     music_tempo
        clc
        adc     tempo_point
        tay
        lda     music_tempo_data,y
        cmp     #$02
        bcc     do_type4
        beq     do_type3
        cmp     #$03
        bne     do_type1
;=======
do_type2:
        jsr     do_type1
        cpx     #$02
        bne     nsmd
        inx
        jsr     do_type1
nsmd:
        rts
;=======
do_type3:
        jsr     do_type1
        inx
        inx
        jsr     do_type1
        rts
;=======
do_type4:
        jsr     do_type1
        inx
        jsr     do_type1
        inx
        jsr     do_type1
        inx
        jsr     do_type1
        rts
;====== per nmi do 1 chnl
do_type1:
        lda     chnl1_length,x
        bne     nsmd
        lda     chk_chnl_data,x
        and     music_chnl
        beq     nsmd
;
        lda     chk_chnl_data,x
        and     chnl_play_type
        beq     d_tp
        jmp     d_tp5
;
d_tp:
        lda     chnl1_add_lo,x
        sta     music_lo
        lda     chnl1_add_hi,x
        sta     music_hi
        ldy     chnl1_point,x
d_tp0:
        lda     (music_lo),y
        cmp     #$fc
        bcc     d_tp1
        beq     d_tp2
        cmp     #$fe
        bcc     d_tp000
        bne     d_tp0a
        jmp     d_tp4
d_tp000:
        jmp     d_tp3
;==== $ff
d_tp0a:
        cpx     #$02
        bcc     d_tp01
        bne     d_tp00
        iny
        lda     (music_lo),y
        sta     chnl3_tone
d_tp00:
        iny
        tya
        sta     chnl1_point,x
        jmp     d_tp0
;
d_tp01:
        iny
        lda     (music_lo),y
        sta     chnl1_tone,x
        and     #$10
        beq     d_tp02
        lda     chnl1_tone,x
        ora     #$0f
        sta     chnl1_tone,x
;
d_tp02:
        iny
        lda     (music_lo),y
        sta     chnl1_pitch,x
;
        iny
        lda     (music_lo),y
        sta     chnl1_attack,x
;
        iny
        lda     (music_lo),y
        sta     chnl1_decay,x
;
        iny
        lda     (music_lo),y
        sta     chnl1_sustain,x
;
        iny
        lda     (music_lo),y
        sta     chnl1_release,x
        jmp     d_tp00
;
;====== < $fc
d_tp1:
        sta     chnl1_smp_no,x
        iny
        tya
        sta     chnl1_point,x
        lda     chk_chnl_data,x
        ora     chnl_play_type
        sta     chnl_play_type
        lda     #$00
        sta     chnl1_smp_cnt,x
        beq     d_tp5
;====== $fc
d_tp2:
        iny
        lda     (music_lo),y
        beq     d_tp20
        lda     chk_chnl_data,x
        eor     #$ff
        and     music_chnl
        sta     music_chnl
        sta     $4015
        rts
;
d_tp20:
        lda     #$00
        sta     chnl1_point,x
        tay
        jmp     d_tp0
;====== $fd
d_tp3:
        iny
        cpx     #$02
        bcc     d_tp31
        beq     d_tp30
        lda     (music_lo),y
        sta     chnl4_volume
d_tp30:
        iny
        tya
        sta     chnl1_point,x
        jmp     d_tp0
;
d_tp31:
        lda     (music_lo),y
        sta     temp_var1
        lda     #$04
        sta     chnl1_adsr_no,x
        lda     chnl1_tone,x
        and     #$f0
        ora     temp_var1
        ora     #$10
        sta     chnl1_tone,x
        bne     d_tp30
;====== $fe
d_tp4:
        iny
        lda     (music_lo),y
        and     #$fc
        sta     music_tempo
        jmp     d_tp30
;======
d_tp5:
        cpx     #$02
        bcs     d_tp5b
        lda     chnl1_tone,x
        and     #$10
        beq     d_tp5a
;
        lda     #$04
        sta     chnl1_adsr_no,x
        bne     d_tp5b
;
d_tp5a:
        lda     #$00
        sta     chnl1_adsr_no,x
        jsr     get_next_adsr
;
d_tp5b:
        lda     smp_addr_lo
        sta     music_lo
        lda     smp_addr_hi
        sta     music_hi
        lda     chnl1_smp_no,x
        asl     a
        tay
        bcc     d_tp5c
        inc     music_hi
;
d_tp5c:
        lda     (music_lo),y
        pha
        iny
        lda     (music_lo),y
        sta     music_hi
        pla
        sta     music_lo
;
        ldy     chnl1_smp_cnt,x
        lda     (music_lo),y
        EOR     #00001110B
        sta     chnl1_length,x
        iny
        lda     (music_lo),y
        EOR     #10101010B
        sta     temp_var1
        iny
        tya
        sta     chnl1_smp_cnt,x
        lda     (music_lo),y
        bne     d_tp50
        lda     chk_chnl_data,x
        eor     #$ff
        and     chnl_play_type
        sta     chnl_play_type
d_tp50:
        lda     chk_chnl_data,x
        and     effect_chnl
        bne     ndtp
        lda     chk_chnl_data,x
        and     smusic_chnl
        bne     ndtp
;
        lda     chk_chnl_data,x
        ora     $4015
        sta     $4015
;
        cpx     #$01
        bcc     d_tp51
        beq     d_tp52
        cpx     #$03
        bcs     d_tp59
        jmp     d_tp53
;
d_tp59:
        ldy     temp_var1
        bne     d_tp50a
        lda     #$10
        sta     $400c
        lda     $4015
        and     #$f7
        sta     $4015
ndtp:
        rts
;
d_tp50a:
        lda     CHANNEL4_ENVELOPE_DAT,Y
        sta     $400c
        tya
        asl     a
        tay
        LDA     CHANNEL4_TONE_DAT,Y
        STA     $400E
        LDA     CHANNEL4_TONE_DAT+1,Y
        STA     $400F
        RTS
;======
d_tp51:
        lda     temp_var1
        cmp     #13
        bcs     d_tp51a
        asl     a
        asl     a
        tay
        lda     CHANNEL1_LOW3_DAT,y
        sta     $4000
        lda     CHANNEL1_LOW3_DAT+1,y
        sta     $4001
        lda     CHANNEL1_LOW3_DAT+2,y
        sta     $4002
        lda     CHANNEL1_LOW3_DAT+3,y
        sta     $4003
        rts
d_tp51a:
        sbc     #13
        tay
        lda     chnl1_tone
        sta     $4000
        lda     chnl1_pitch
        sta     $4001
        lda     FREQUENCY_DATA_LOW,y
        sta     $4002
        lda     FREQUENCY_DATA_HIGH,y
        ora     #$08
        sta     $4003
        rts
;=======
d_tp52:
        lda     temp_var1
        cmp     #13
        bcs     d_tp52a
        asl     a
        asl     a
        tay
        lda     CHANNEL2_LOW3_DAT,y
        sta     $4004
        lda     CHANNEL2_LOW3_DAT+1,y
        sta     $4005
        lda     CHANNEL2_LOW3_DAT+2,y
        sta     $4006
        lda     CHANNEL2_LOW3_DAT+3,y
        sta     $4007
        rts
d_tp52a:
        sbc     #13
        tay
        lda     chnl2_tone
        sta     $4004
        lda     chnl2_pitch
        sta     $4005
        lda     FREQUENCY_DATA_LOW,y
        sta     $4006
        lda     FREQUENCY_DATA_HIGH,y
        ora     #$08
        sta     $4007
        rts
;=======
d_tp53:
        lda     temp_var1
        cmp     #13
        bcs     d_tp53a
        asl     a
        asl     a
        tay
        lda     CHANNEL3_LOW3_DAT,y
        sta     $4008
        lda     CHANNEL3_LOW3_DAT+1,y
        sta     $4009
        lda     CHANNEL3_LOW3_DAT+2,y
        sta     $400a
        lda     CHANNEL3_LOW3_DAT+3,y
        sta     $400b
        rts
d_tp53a:
        sbc     #13
        tay
        lda     chnl3_tone
        sta     $4008
        lda     FREQUENCY_DATA_LOW,y
        sta     $400a
        lda     FREQUENCY_DATA_HIGH,y
        ora     #$08
        sta     $400b
        rts
;===================================
smodify_tone:
        ldx     #$00
        jsr     sdo_modify
        ldx     #$01
;
sdo_modify:
        lda     chk_chnl_data,x
        and     smusic_chnl
        beq     snmdt
        lda     schnl1_length,x
        beq     snmdt
        lda     schnl1_tone,x
        and     #$10
        bne     snmdt
        lda     schnl1_adsr_no,x
        beq     smd_t1
        cmp     #$04
        bcs     snmdt
        lda     schnl1_tone,x
        and     #$0f
        sec
        sbc     schnl1_adsr_vol,x
        sta     temp_var1
        bcs     smd_t2
        lda     #$00
        sta     temp_var1
        lda     #$04
        sta     schnl1_adsr_no,x
        bne     smd_t2
;===== attack
smd_t1:
        lda     schnl1_tone,x
        and     #$0f
        clc
        adc     schnl1_adsr_vol,x
        sta     temp_var1
        cmp     #$0f
        bcc     smd_t2
        lda     #$0f
        sta     temp_var1
        lda     #$01
        sta     schnl1_adsr_cnt,x
smd_t2:
        lda     schnl1_tone,x
        and     #$f0
        ora     temp_var1
        sta     schnl1_tone,x
        dec     schnl1_adsr_cnt,x
        bne     snmdt
        inc     schnl1_adsr_no,x
        jsr     sget_next_adsr
        lda     chk_chnl_data,x
        and     effect_chnl
        bne     snmdt
;
        txa
        asl     a
        asl     a
        tay
        lda     schnl1_tone,x
        sta     $4000,y
snmdt:
        rts
;===================================
modify_tone:
        ldx     #$00
        jsr     do_modify
        ldx     #$01
;
do_modify:
        lda     chk_chnl_data,x
        and     music_chnl
        beq     nmdt
        lda     chnl1_length,x
        beq     nmdt
        lda     chnl1_tone,x
        and     #$10
        bne     nmdt
        lda     chnl1_adsr_no,x
        beq     md_t1
        cmp     #$04
        bcs     nmdt
        lda     chnl1_tone,x
        and     #$0f
        sec
        sbc     chnl1_adsr_vol,x
        sta     temp_var1
        bcs     md_t2
        lda     #$00
        sta     temp_var1
        lda     #$04
        sta     chnl1_adsr_no,x
        bne     md_t2
;===== attack
md_t1:
        lda     chnl1_tone,x
        and     #$0f
        clc
        adc     chnl1_adsr_vol,x
        sta     temp_var1
        cmp     #$0f
        bcc     md_t2
        lda     #$0f
        sta     temp_var1
        lda     #$01
        sta     chnl1_adsr_cnt,x
md_t2:
        lda     chnl1_tone,x
        and     #$f0
        ora     temp_var1
        sta     chnl1_tone,x
        dec     chnl1_adsr_cnt,x
        bne     nmdt
        inc     chnl1_adsr_no,x
        jsr     get_next_adsr
        lda     chk_chnl_data,x
        and     effect_chnl
        bne     nmdt
;
        lda     chk_chnl_data,x
        and     smusic_chnl
        bne     nmdt
;
        txa
        asl     a
        asl     a
        tay
        lda     chnl1_tone,x
        sta     $4000,y
nmdt:
        rts
;===================================
sget_next_adsr:
        lda     schnl1_adsr_no,x
        cmp     #$04
        bcs     sngna
        asl     a
        tay
        lda     schnl1_attack,y
        and     #$0f
        bne     sg_na0
        inc     schnl1_adsr_no,x
        bne     sget_next_adsr
;
sg_na0:
        sta     schnl1_adsr_cnt,x
        lda     schnl1_attack,y
        and     #$f0
        lsr     a
        lsr     a
        lsr     a
        lsr     a
        sta     schnl1_adsr_vol,x
sngna:
        rts
;===================================
get_next_adsr:
        lda     chnl1_adsr_no,x
        cmp     #$04
        bcs     ngna
        asl     a
        tay
        lda     chnl1_attack,y
        and     #$0f
        bne     g_na0
        inc     chnl1_adsr_no,x
        bne     get_next_adsr
;
g_na0:
        sta     chnl1_adsr_cnt,x
        lda     chnl1_attack,y
        and     #$f0
        lsr     a
        lsr     a
        lsr     a
        lsr     a
        sta     chnl1_adsr_vol,x
ngna:
        rts


PLAY_SOUND_EFFECT:
        ldx     #$00
snd0:
        lda     snd_effect1,x
        bmi     snd1
        asl     a
        asl     a
        tay
        lda     #$ff
        sta     snd_effect1,x
;============                     enable use chnnel
        lda     chk_chnl_data,x
        ora     $4015
        sta     $4015
        lda     chk_chnl_data,x
        ora     effect_chnl
        sta     effect_chnl
;============
        txa
        pha
        asl     a
        tax
        lda     EFFECT_TABLE,x
        sta     music_lo
        lda     EFFECT_TABLE+1,x
        sta     music_hi
        txa
        asl     a
        tax
        lda     (music_lo),y
        sta     $4000,x
        iny
        lda     (music_lo),y
        sta     $4001,x
        iny
        lda     (music_lo),y
        sta     $4002,x
        iny
        lda     (music_lo),y
        sta     $4003,x
        pla
        tax
        jmp     snd2
;
snd1:
        lda     chk_chnl_data,x
        and     effect_chnl
        beq     snd2
        lda     chk_chnl_data,x
        and     $4015
        bne     snd2
        lda     chk_chnl_data,x
        eor     #$ff
        and     effect_chnl
        sta     effect_chnl
snd2:
        inx
        cpx     #$04
        bcc     snd0
        rts



;===================================
; play music :
;      It can play two music in same time.
;===================================
PLAY_MUSIC:
        jsr     PLAY_2ND_MUSIC
;
        lda     music_chnl
        beq     npmu
;
        jsr     modify_tone
        jsr     set_music_data
;
        lda     music_tempo
        clc
        adc     tempo_point
        tax
;
        inc     tempo_cnt
        lda     tempo_cnt
        cmp     music_tempo_data,x
        bcc     npmu
        lda     #$00
        sta     tempo_cnt
        inc     tempo_point
        lda     tempo_point
        and     #$03
        sta     tempo_point
        dec     chnl1_length
        dec     chnl2_length
        dec     chnl3_length
        dec     chnl4_length
npmu:
        rts


;====================================
music_tempo_data:
        DB      120,120,120,120,112,113,112,113,56,56,57,56,37,38,37,38
        DB      22,23,22,23,18,19,18,19,16,16,16,16,14,14,14,14
        DB      12,13,12,13,11,11,12,11,10,10,10,11,09,09,10,09
        DB      8,9,8,9,8,8,8,8,7,8,7,8,7,7,7,7,6,7,6,7,6,6,7,6
        DB      6,6,6,6,5,6,5,6,5,5,6,5,5,5,5,5,4,5,5,5,4,5,4,5
        DB      4,5,4,5,4,4,5,4,4,4,4,4,4,4,4,4,3,4,4,4,3,4,4,4
        DB      3,4,3,4,3,4,3,4,3,3,4,3,3,3,3,4,3,3,3,3,3,3,3,3
        DB      3,3,3,3,2,3,3,3,2,3,3,3,2,3,3,3,2,3,2,3,2,3,2,3
        DB      2,3,2,3,2,3,2,3,2,2,2,3,2,2,2,3,2,2,2,3,2,2,2,2
        DB      2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,1,2,2,2,1
        DB      2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,1,1,1,2,1,1,1,2
        DB      1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1
;===================================
FREQUENCY_DATA_LOW:
        DB      $B0,$50,$F4,$A0,$50,$00,$B8,$78,$38,$F8,$C0,$88
        DB      $58,$28,$FA,$D0,$A8,$80,$5C,$3C,$1C,$FC,$E0,$C4
        DB      $AC,$94,$7D,$68,$54,$40,$2E,$1E,$0E,$FE,$F0,$E2
        DB      $D6,$CA,$BE,$B4,$AA,$A0,$97,$8F,$87,$7F,$78,$71
        DB      $6B,$65,$5F,$5A,$55,$50,$4B,$47,$43,$3F,$3C,$38
        DB      $35,$32,$2F,$2D,$2A,$28,$25,$23,$21,$1F,$1E,$1C
;
FREQUENCY_DATA_HIGH:
        DB      $06,$06,$05,$05,$05,$05,$04,$04,$04,$03,$03,$03
        DB      $03,$03,$02,$02,$02,$02,$02,$02,$02,$01,$01,$01
        DB      $01,$01,$01,$01,$01,$01,$01,$01,$01,$00,$00,$00
        DB      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
        DB      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
        DB      $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
;==========
CHANNEL1_LOW3_DAT:
        DB      000,000,000,000     ;drum
        DB      143,133,119,067     ;drum
        DB      143,132,023,251     ;drum
        DB      143,135,045,009     ;electron drum
        DB      143,139,032,112     ;twitter
        DB      143,132,017,072     ;twitter
        DB      143,130,017,072     ;twitter
        DB      143,130,014,072     ;chicken
        DB      143,138,014,041     ;frog call
        DB      143,139,137,077     ;frog jump
        DB      143,139,167,097     ;wa
        DB      143,141,110,169     ;wo
        DB      143,141,110,169     ;wo
;
CHANNEL2_LOW3_DAT:
        DB      000,000,000,000     ;drum
        DB      143,135,173,076     ;drum
        DB      143,135,097,056     ;log drum
        DB      143,139,049,074     ;drink water
        DB      143,139,049,072     ;twitter
        DB      143,139,134,112     ;twitter
        DB      143,138,014,042     ;frog call
        DB      143,130,014,072     ;chicken
        DB      143,139,137,173     ;frog jump
        DB      143,140,110,174     ;frog jump
        DB      143,140,154,169     ;wa
        DB      143,142,169,168     ;wo
        DB      143,142,169,168     ;wo
;
CHANNEL3_LOW3_DAT:
        DB      000,000,000,000     ;no music
        DB      066,000,065,041     ;drum
        DB      127,000,251,024     ;drum
        DB      127,000,104,040     ;log drum
        DB      127,000,126,072     ;log drum
        DB      127,000,251,072     ;tom tom
        DB      066,000,065,072     ;xylophone
        DB      127,000,018,040     ;xylophone
        DB      127,000,039,040     ;xylophone
        DB      066,000,065,074     ;chopsticks
        DB      127,000,010,040     ;din
        DB      127,000,015,040     ;drum
        DB      127,000,007,040     ;drum

STOP_MUSIC
        LDA     #0
        STA     MUSIC_NO
        LDA     #0
        STA     SECOND_MUSIC_SWITCH     ;=00H, SET THE 1'ST MUSIC ENABLE
        JSR     INIT_MUSIC

STOP_MUSIC2
        LDA     #0
        STA     MUSIC_NO
        LDA     #1
        STA     SECOND_MUSIC_SWITCH     ;=00H, SET THE 1'ST MUSIC ENABLE
        JSR     INIT_MUSIC

CHANNEL4_ENVELOPE_DAT
.include ch4_env.tbl

CHANNEL4_TONE_DAT
.include ch4_tone.tbl

