;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
;                                    Title	Keyboard data mapping for translate to ASCII code
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

;----------------------------------------------------------------------------
; Version	: V1.0
; File name	: BaseASC.inc
; Date		: Feb  13 ,1997
; Language	:  6502 ASSEMBLY
; Description	: The keyboard data translate map for mapping to ASCII code by set 1 scan code with base case.
;----------------------------------------------------------------------------

;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	?Code_00:	db	$20h			; null key.
	?Code_01:	db	#027d			; ESC key.
	?Code_02:	db	$31h			; 1
	?Code_03:	db	$32h			; 2
	?Code_04:	db	$33h			; 3
	?Code_05:	db	$34h			; 4
	?Code_06:	db	$35h			; 5
	?Code_07:	db	$36h			; 6
	?Code_08:	db	$37h			; 7
	?Code_09:	db	$38h			; 8
	?Code_0A:	db	$39h			; 9
	?Code_0B:	db	$30h			; 0
	?Code_0C:	db	$2Dh			; -
	?Code_0D:	db	$3Dh			; =
	?Code_0E:	db	#008d			; Backspace key.
	?Code_0F:	db	#009d			; Tab key.
	?Code_10:	db	$71h			; q
	?Code_11:	db	$77h			; w
	?Code_12:	db	$65h			; e
	?Code_13:	db	$72h			; r
	?Code_14:	db	$74h			; t
	?Code_15:	db	$79h			; y
	?Code_16:	db	$75h			; u
	?Code_17:	db	$69h			; i
	?Code_18:	db	$6Fh			; o
	?Code_19:	db	$70h			; p
	?Code_1A:	db	$5Bh			; [
	?Code_1B:	db	$5Dh			; ]
	?Code_1C:	db	#013d			; CR key.
	?Code_1D:	db	-1d			; left Ctrl key.
	?Code_1E:	db	$61h			; a
	?Code_1F:	db	$73h			; s
	?Code_20:	db	$64h			; d
	?Code_21:	db	$66h			; f
	?Code_22:	db	$67h			; g
	?Code_23:	db	$68h			; h
	?Code_24:	db	$6Ah			; j
	?Code_25:	db	$6Bh			; k
	?Code_26:	db	$6Ch			; l
	?Code_27:	db	$3Bh			; ;
	?Code_28:	db	$60h			; '
	?Code_29:	db	$27h			; `
	?Code_2A:	db	-1d			; left Shift key.
	?Code_2B:	db	$5Ch			; \
	?Code_2C:	db	$7Ah			; z
	?Code_2D:	db	$78h			; x
	?Code_2E:	db	$63h			; c
	?Code_2F:	db	$76h			; v
	?Code_30:	db	$62h			; b
	?Code_31:	db	$6Eh			; n
	?Code_32:	db	$6Dh			; m
	?Code_33:	db	$2Ch			; ,
	?Code_34:	db	$2Eh			; .
	?Code_35:	db	$2Fh			; /
	?Code_36:	db	-1d			; right Shift key.
	?Code_37:	db	$2Ah			; * on keypad.
	?Code_38:	db	-1d			; left Alt key.
	?Code_39:	db	$20h			; Space Bar.
	?Code_3A:	db	-1d			; Caps Lock key.
	?Code_3B:	db	$20h			; F1.
	?Code_3C:	db	$20h			; F2.
	?Code_3D:	db	$20h			; F3.
	?Code_3E:	db	$20h			; F4.
	?Code_3F:	db	$20h			; F5.
	?Code_40:	db	$20h			; F6.
	?Code_41:	db	$20h			; F7.
	?Code_42:	db	$20h			; F8.
	?Code_43:	db	$20h			; F9.
	?Code_44:	db	$20h			; F10.
	?Code_45:	db	-1d			; Num Lock key.
	?Code_46:	db	-1d			; Scroll Lock key.
	?Code_47:	db	-2d			; Home key on keypad.
	?Code_48:	db	-2d			; Cursor Up on keypad.
	?Code_49:	db	-2d			; PgUp key on keypad.
	?Code_4A:	db	-2d			; Sys Request key on keypad.
	?Code_4B:	db	-2d			; Cursor Left on keypad.
	?Code_4C:	db	-2d			; 5 on keypad.
	?Code_4D:	db	-2d			; Cursor Right on keypad.
	?Code_4E:	db	-2d			; + key on keypad.
	?Code_4F:	db	-2d			; End key on keypad.
	?Code_50:	db	-2d			; Cursor Down on keypad.
	?Code_51:	db	-2d			; PgDn key on keypad.
	?Code_52:	db	-2d			; Ins key on keypad.
	?Code_53:	db	-2d			; Del key on keypad.
	?Code_54:	db	$20h			; non used scan code.
	?Code_55:	db	$20h			; non used scan code.
	?Code_56:	db	$5Ch			; \ for 102 keys only.
	?Code_57:	db	$20h			; F11.
	?Code_58:	db	$20h			; F12.
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
